%define		PYVER		2.6
%define		__python	python%{PYVER}
%define		PVER		%(echo %{PYVER} | awk -F. '{print$1$2}')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Distribution:	CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		QScintilla
Version:	2.4.5
Release:	1
License:	GNU/GPL v2 / v3
URL:		http://www.riverbankcomputing.co.uk/software/qscintilla
Group:		Development/Tools
Summary:	A Scintilla port to Qt
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
# Sources:
Source:		%{name}-gpl-%{version}.tar.gz
# Patches:
Patch1:         QScintilla-2-gpl-Qt4-incpath.patch
#Manual build dependencies
BuildRequires: chrpath
BuildRequires: python26-pyqt-devel
BuildRequires: python26-sip-devel

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: libgcc
BuildRequires: libstdc++-devel
BuildRequires: libX11-devel
BuildRequires: libXext-devel
BuildRequires: python26-devel
BuildRequires: qt4-devel

%description
QScintilla is a port of Scintilla to the Qt GUI toolkit.

%package	designer
Summary:	QScintilla designer plugin 
Group:		Development/Tools
Requires:	%{name} = %{version}-%{release}
Requires:	qt4-devel

%description	designer
%{summary}.

%package	devel
Summary:	QScintilla Development Files
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	qt4-devel 
Requires: 	python26-pyqt-devel
Requires: 	python26-sip-devel


%description	devel
%{summary}.

%package	bindings-pyqt4
Summary:	QScintilla PyQt4 bindings
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires: 	python26-pyqt
Requires: 	python26-sip

%description	bindings-pyqt4
%{summary}.

%package	bindings-pyqt4-devel
Summary:	Development files for QScintilla PyQt4 bindings 
Group:		Development/Libraries
Requires:	%{name}-bindings-pyqt4 = %{version}-%{release}
Requires: 	python26-pyqt-devel
Requires: 	python26-sip-devel

%description	bindings-pyqt4-devel
%{summary}.

%pre

%preun

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n %{name}-gpl-%{version}

%patch1 -p1 -b .designer-incpath-qt4

# fixups to support RPM_BUILD_ROOT/DESTDIR
sed -i "s/^DESTDIR = \$(QTDIR)/DESTDIR = \$(INSTALL_ROOT)\$(QTDIR)/" */*.pro

# fix permissions on doc files
find doc example-Qt4  -type f -exec chmod 0644 {} ';'
find src include -type f -exec chmod 0644 {} ';'

# fix line endings in license file(s)
sed -i 's/\r//' LICENSE.GPL2 GPL_EXCEPTION_ADDENDUM.TXT

%build
pushd Qt4
sed -i 's/INSTALLS += header trans qsci/INSTALLS += header trans qsci target/g' qscintilla.pro
qmake-qt4 qscintilla.pro
echo 'build: $(UICDECLS) $(OBJECTS) $(OBJMOC) $(SUBLIBS) $(OBJCOMP)' >> Makefile
make %{?_smp_mflags}
popd

pushd designer-Qt4
qmake-qt4 designer.pro
echo 'build: $(UICDECLS) $(OBJECTS) $(OBJMOC) $(SUBLIBS) $(OBJCOMP)' >> Makefile
make %{?_smp_mflags}
popd

pushd Python
%{__python} configure.py \
            -c -j 3 \
            -n ../Qt4 \
            -o ../Qt4
make %{?_smp_mflags}
popd

%install
rm -rf $RPM_BUILD_ROOT

make -C Qt4 install INSTALL_ROOT=$RPM_BUILD_ROOT
make -C designer-Qt4 install INSTALL_ROOT=$RPM_BUILD_ROOT
make -C Python install DESTDIR=$RPM_BUILD_ROOT

chrpath --list   $RPM_BUILD_ROOT%{python_sitearch}/PyQt4/Qsci.so
chrpath --delete $RPM_BUILD_ROOT%{python_sitearch}/PyQt4/Qsci.so

%files
%defattr(-,root,root)
%doc NEWS README
%{_libdir}/libqscintilla2.so.*
%_datadir/qt4/translations/*
%_libdir/qt4/qsci/

%files designer
%defattr(-,root,root,-)
%{_libdir}/qt4/plugins/designer/libqscintillaplugin.so

%files devel
%defattr(-,root,root,-)
%{_includedir}/Qsci
%{_libdir}/libqscintilla2.so

%files bindings-pyqt4
%defattr(-,root,root,-)
%{python_sitearch}/PyQt4/Qsci.so

%files bindings-pyqt4-devel
%defattr(-,root,root,-)
%{_datadir}/sip/PyQt4/Qsci

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Oct 06 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.4.5-1
- Version update
* Mon Jun 28 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.4.3-1
- Version update
* Thu Feb 11 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.4.2-1
- Version update
* Wed Nov 18 2009 Christian Metzen <metzench@ccux-linux.de> 2.4-1
- Version update
- python 2.6
* Fri Mar 13 2009 Christian Wasem <wasem@ccux-linux.de> 2.3.2-1
- initial CCux package release
